import factory
from django.utils import timezone

from vbv_lernwelt.core.tests.factories import UserFactory
from vbv_lernwelt.notify.models import Notification


class NotificationFactory(factory.django.DjangoModelFactory):
    class Meta:
        model = Notification

    recipient = factory.SubFactory(UserFactory)
    timestamp = factory.Faker(
        "date_time_this_month",
        tzinfo=timezone.get_current_timezone(),
    )
    actor = factory.SubFactory(UserFactory)
    verb = "Elia hat einen neuen Beitrag erfasst"
